|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QWSWindow Class Reference
[QtGui module]

The QWSWindow class encapsulates a top-level window in Qtopia Core. More...

     #include <QWSWindow>

- List of all members, including inherited members

### Public Functions

- const QString & caption () const
- QWSClient * client () const
- bool isFullyObscured () const
- bool isOpaque () const
- bool isVisible () const
- const QString & name () const
- uint opacity () const
- const QRegion & requestedRegion () const
- int winId () const

## Detailed Description

The QWSWindow class encapsulates a top-level window in Qtopia Core.

When running a Qtopia Core application, it either runs as a server or connects to an existing server. As applications add and remove widgets, the QWSServer class maintains information about each window. Note that you should never construct the QWSWindow class yourself; the current top-level windows can be retrieved using the QWSServer::clientWindows() function.

QWSWindow provides functions returning various information about the window: its caption(), name(), opacity() and winId() along with the client() that owns the window.

In addition, it is possible to determine whether the window is visible using the isVisible() function, if the window is completely obscured by another window or by the bounds of the screen using the isFullyObscured() function, and whether the window has an alpha channel different from 255 using the isOpaque() function. Finally, QWSWindow provides the requestedRegion() function that returns the region of the display the window wants to draw on.

See also QWSServer and Running Qtopia Core Applications.

## Member Function Documentation

### const QString & QWSWindow::caption () const

Returns the window's caption.

See also name() and winId().

### QWSClient * QWSWindow::client () const

Returns a reference to the QWSClient object that owns this window.

### bool QWSWindow::isFullyObscured () const

Returns true if the window is completely obsured by another window or by the bounds of the screen; otherwise returns false.

See also isVisible().

### bool QWSWindow::isOpaque () const

Returns true if the window is opaque, i.e. if its alpha channel equals 255; otherwise returns false.

See also opacity().

### bool QWSWindow::isVisible () const

Returns true if the window is visible; otherwise returns false.

See also isFullyObscured().

### const QString & QWSWindow::name () const

Returns the window's name.

See also caption() and winId().

### uint QWSWindow::opacity () const

Returns the window's alpha channel value.

See also isOpaque().

### const QRegion & QWSWindow::requestedRegion () const

Returns the region that the window has requested to draw onto, including any window decorations.

### int QWSWindow::winId () const

Returns the window's ID.

See also name() and caption().